# Copyright 2021 (c) Anna Schumaker.
from gi.repository import GLib, Gtk

class NowPlaying(Gtk.ScrolledWindow):
    def __init__(self):
        Gtk.ScrolledWindow.__init__(self)
        self.title = Gtk.Label()
        self.title.add_css_class("title")

        self.subtitle = Gtk.Label()
        self.subtitle.add_css_class("subtitle")

        self.box = Gtk.Box.new(Gtk.Orientation.VERTICAL, 0)
        self.box.append(self.title)
        self.box.append(self.subtitle)

        self.set_policy(Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.NEVER)
        self.set_valign(Gtk.Align.CENTER)
        self.set_hexpand(True)
        self.set_child(self.box)

        self.set_title(None)
        self.set_subtitle(None)

    def set_artist(self, text):
        self.set_subtitle(f"by {text}")

    def set_title(self, text):
        if text == None:
            text = "Emmental"
        text = GLib.markup_escape_text(text)
        self.title.set_markup(f"<big>{text}</big>")

    def set_subtitle(self, text):
        if text == None:
            text = "The Cheesy Music Player"
        text = GLib.markup_escape_text(text)
        self.subtitle.set_markup(f"<big>{text}</big>")
