# Copyright 2021 (c) Anna Schumaker.
from . import nowplaying
from gi.repository import Gtk
import unittest

class TestNowPlaying(unittest.TestCase):
    def test_now_playing_init(self):
        now = nowplaying.NowPlaying()

        self.assertIsInstance(now, Gtk.ScrolledWindow)
        self.assertIsInstance(now.box, Gtk.Box)
        self.assertIsInstance(now.title, Gtk.Label)
        self.assertIsInstance(now.subtitle, Gtk.Label)

        self.assertIn(now.title, now.box)
        self.assertIn(now.subtitle, now.box)

        viewport = now.get_child()
        self.assertEqual(viewport.get_child(), now.box)

        self.assertEqual(now.get_valign(), Gtk.Align.CENTER)
        self.assertEqual(now.get_policy(), (Gtk.PolicyType.AUTOMATIC,
                                            Gtk.PolicyType.NEVER))

        self.assertTrue(now.get_hexpand())
        self.assertTrue(now.title.has_css_class("title"))
        self.assertTrue(now.subtitle.has_css_class("subtitle"))

    def test_now_playing_text(self):
        now = nowplaying.NowPlaying()
        self.assertEqual(now.title.get_text(), "Emmental")
        self.assertEqual(now.subtitle.get_text(), "The Cheesy Music Player")

        now.set_title("Test Title")
        now.set_artist("Test Artist")

        self.assertEqual(now.title.get_text(), "Test Title")
        self.assertEqual(now.subtitle.get_text(), "by Test Artist")

        now.set_title(None)
        now.set_subtitle(None)

        self.assertEqual(now.title.get_text(), "Emmental")
        self.assertEqual(now.subtitle.get_text(), "The Cheesy Music Player")
