# Copyright 2021 (c) Anna Schumaker.
import lib
import pathlib
import sqlite3

File = lib.data.emmental_data / "emmental.sqlite3"

Connection = sqlite3.connect(File, detect_types=sqlite3.PARSE_DECLTYPES)
Connection.row_factory = sqlite3.Row

commit = Connection.commit
execute = Connection.execute
executemany = Connection.executemany

from . import artist
from . import album
from . import disc
from . import genre
from . import decade
from . import year
from . import library
from . import track
from . import playlist
from . import state

def make_fake_track(trackno, length, title, path, lib="/a/b/c", art="Test Artist",
                    alb="Test Album", disk=1, subtitle=None, yeer=2021):
    lib = library.Table.find(pathlib.Path(lib))
    art = artist.Table.find(art, art)
    alb = album.Table.find(art, alb)
    disk = disc.Table.find(alb, disk, subtitle)
    yeer = year.Table.find(yeer)
    return track.Table.insert(lib, art, alb, disk, yeer,trackno,
                              length, title, pathlib.Path(path))

def reset():
    mods = [ artist, album, disc, genre, decade, year,
             library, track, playlist, state ]

    for mod in mods: mod.Table.drop()
    for mod in mods: mod.Table.do_create()

    genre.Map.reset()
    playlist.Map.reset()
    playlist.TempMap.reset()
    playlist.Table.create_default_playlists()


if lib.version.TESTING: reset()
playlist.Table.create_default_playlists()
